dots.v2.genAi.openai.keys.post()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.genAi.openai.keys.post(body: ApiCreateOpenAIAPIKeyInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiCreateOpenAIAPIKeyOutput>

Description

To create an OpenAI API key, send a POST request to /v2/gen-ai/openai/keys.

Parameters

apiKey string optional

Example: "sk-proj--123456789098765432123456789"

OpenAI API key

name string optional

Example: "Production Key"

Name of the key

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.genAi.openai.keys.post({
    apiKey: "\"sk-proj--123456789098765432123456789\"",
    name: "\"Production Key\"",
});

Response Example

Show Response Example
{
  "api_key_info": {
    "created_at": "2023-01-01T00:00:00Z",
    "created_by": "12345",
    "deleted_at": "2023-01-01T00:00:00Z",
    "models": [],
    "name": "example name",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/openai/keys in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.